org.appng.persistence.hibernate

## Class SnakeCaseNamingStrategy

- java.lang.Object
- - org.hibernate.boot.model.naming.ImplicitNamingStrategyJpaCompliantImpl
  - - org.appng.persistence.hibernate.SnakeCaseNamingStrategy

- All Implemented Interfaces:
    Serializable, org.hibernate.boot.model.naming.ImplicitNamingStrategy

      public class SnakeCaseNamingStrategy
      extends org.hibernate.boot.model.naming.ImplicitNamingStrategyJpaCompliantImpl

  An `ImplicitNamingStrategy` that uses snake case for table and column names.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.boot.model.naming.ImplicitNamingStrategyJpaCompliantImpl

      `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnakeCaseNamingStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.hibernate.boot.model.naming.Identifier` | `determineBasicColumnName(org.hibernate.boot.model.naming.ImplicitBasicColumnNameSource source)`
    `org.hibernate.boot.model.naming.Identifier` | `determinePrimaryTableName(org.hibernate.boot.model.naming.ImplicitEntityNameSource source)`
    `protected String` | `stringToSnakeCase(String name)`
    `protected org.hibernate.boot.model.naming.Identifier` | `toSnakeCase(String name)`

    - ### Methods inherited from class org.hibernate.boot.model.naming.ImplicitNamingStrategyJpaCompliantImpl

      `determineAnyDiscriminatorColumnName, determineAnyKeyColumnName, determineCollectionTableName, determineDiscriminatorColumnName, determineForeignKeyName, determineIdentifierColumnName, determineIndexName, determineJoinColumnName, determineJoinTableName, determineListIndexColumnName, determineMapKeyColumnName, determinePrimaryKeyJoinColumnName, determineTenantIdColumnName, determineUniqueKeyName, toIdentifier, transformAttributePath, transformEntityName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnakeCaseNamingStrategy

          public SnakeCaseNamingStrategy()

  - ### Method Detail

    - #### determinePrimaryTableName

          public org.hibernate.boot.model.naming.Identifier determinePrimaryTableName(org.hibernate.boot.model.naming.ImplicitEntityNameSource source)

      Specified by:
        `determinePrimaryTableName` in interface `org.hibernate.boot.model.naming.ImplicitNamingStrategy`
      Overrides:
        `determinePrimaryTableName` in class `org.hibernate.boot.model.naming.ImplicitNamingStrategyJpaCompliantImpl`

    - #### determineBasicColumnName

          public org.hibernate.boot.model.naming.Identifier determineBasicColumnName(org.hibernate.boot.model.naming.ImplicitBasicColumnNameSource source)

      Specified by:
        `determineBasicColumnName` in interface `org.hibernate.boot.model.naming.ImplicitNamingStrategy`
      Overrides:
        `determineBasicColumnName` in class `org.hibernate.boot.model.naming.ImplicitNamingStrategyJpaCompliantImpl`

    - #### toSnakeCase

          protected org.hibernate.boot.model.naming.Identifier toSnakeCase(String name)

    - #### stringToSnakeCase

          protected String stringToSnakeCase(String name)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.